@import 'sass/config.scss';
@import 'sass/mixins.scss';
@import 'sass/lifecycle.scss';

.interstitial {
    @include lifecycle();
    display: flex;
    flex-direction: column;
    position: fixed;
    margin: 0;
    z-index: 999;
    width: 100vw;
    height: 100vh;

    &,
    a.redirectLayer {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
    }

    .container {
        display: flex;
        align-content: center;
        justify-content: center;
        flex-direction: column;
        flex: 1 1 auto;
        position: relative;
        background: $dark;
        max-height: 100vh;
        max-width: 100vw;

        .background {
            position: absolute;
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 0;
        }
    }

    iframe,
    .changeOrientation {
        width: 100%;
        height: 100%;
        flex: 1 1 auto;
    }

    iframe {
        display: block;
        position: relative;
        border: 0;
    }

    .body {
      flex: 1 1 auto;
      width: 100%;
      height: 100%;
      display: flex;
      align-content: center;
      justify-content: center;
    }

    .landscape, .portrait {
      display: flex;
    }

    @include orientation("landscape") {
        .portrait {
            display: none;
        }
    }
    @include orientation("portrait") {
        .landscape {
            display: none;
        }
    }
}

.header {
    display: flex;
    flex-direction: row;
    padding: .2rem .4rem;
    border-bottom: 1px solid rgba($light, .25);

    &,
    button {
        background: $dark;
        color: $light;
        font-size: .7rem;
        font-family: sans-serif;
        letter-spacing: 1px;

        flex: 0 0 auto;
    }

    div {
        flex: 1 1 auto;
    }

    button {
        border: 0;
        padding: 0;

        svg {
            width: auto;
            height: .8rem;
            display: inline-block;
            vertical-align: bottom;
            margin-left: .2rem;
        }
    }
}

.changeOrientation {
    display: flex;
    justify-content: center;
    align-items: center;
    color: $light;
    background: $dark;

    strong {
        display: block;
        margin: 1rem 0;
        text-align: center;
        letter-spacing: 1px;
        font-size: 1rem;
        font-family: sans-serif;
        font-weight: bold;
        text-transform: uppercase;
    }

    @include orientation("landscape") {
        &.portrait {
            display: none;
        }
    }
    @include orientation("portrait") {
        &.landscape {
            display: none;
        }
    }

    svg {
        display: block;
        width: 50vh;
        height: 50vh;

        @include orientation("portrait") {
            transform: rotate(-90deg);
            width: 50vw;
            height: 50vw;
        }
    }
}
